//	Microworks ObjectMate 2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SDMFRAME.CPP

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include <sfx\sdmframe.h>

DEFINE_RESPONSE_TABLE1(TSFXDecoratedMDIFrame, TDecoratedMDIFrame)
END_RESPONSE_TABLE;

TSFXDecoratedMDIFrame::TSFXDecoratedMDIFrame(const char far* title,
											 TResId          menuResId,
											 TMDIClient&     clientWnd,
											 BOOL            sfxCaption,
											 BOOL            trackMenuSelection,
											 TModule*        module)
  : TDecoratedMDIFrame(title, menuResId, clientWnd, trackMenuSelection, module),
	TFrameWindow(0, title, &clientWnd, FALSE, module),
	TWindow(0, title, module)
{
	Attr.Style |= MWS_3DFRAME;
	if (sfxCaption)
		Attr.Style |= MWS_SFXCAPTION;
}

LRESULT
TSFXDecoratedMDIFrame::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
	return message == WM_SIZE ? 0 : SFXDefFrameProc(HWindow, ClientWnd->HWindow,
									message, wParam, lParam);
}

IMPLEMENT_STREAMABLE3(TSFXDecoratedMDIFrame, TDecoratedMDIFrame, TFrameWindow, TWindow);
void*
TSFXDecoratedMDIFrame::Streamer::Read(ipstream& is, uint32 /*version*/) const
{
  ReadBaseObject((TDecoratedMDIFrame*)GetObject(), is);
  return GetObject();
}

void
TSFXDecoratedMDIFrame::Streamer::Write(opstream& os) const
{
  WriteBaseObject((TDecoratedMDIFrame*)GetObject(), os);
}


